com.tibbo.aggregate.common.filter.converter

## Class ControlStatesFilterConverter

- java.lang.Object
- - com.tibbo.aggregate.common.filter.converter.ControlStatesFilterConverter

-     public class ControlStatesFilterConverter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EQUALS`
    `static java.lang.String` | `GREATER`
    `static java.lang.String` | `GREATER_OR_EQUALS`
    `static java.lang.String` | `LESS`
    `static java.lang.String` | `LESS_OR_EQUALS`
    `static java.lang.String` | `NOT_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlStatesFilterConverter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `buildEmptyStateTableFromMetadata(DataTable table)`
    `static java.lang.String` | `buildFilerTextExpression(DataTable dataTable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EQUALS

          public static final java.lang.String EQUALS

      See Also:
        Constant Field Values

    - #### NOT_EQUALS

          public static final java.lang.String NOT_EQUALS

      See Also:
        Constant Field Values

    - #### GREATER

          public static final java.lang.String GREATER

      See Also:
        Constant Field Values

    - #### GREATER_OR_EQUALS

          public static final java.lang.String GREATER_OR_EQUALS

      See Also:
        Constant Field Values

    - #### LESS

          public static final java.lang.String LESS

      See Also:
        Constant Field Values

    - #### LESS_OR_EQUALS

          public static final java.lang.String LESS_OR_EQUALS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ControlStatesFilterConverter

          public ControlStatesFilterConverter()

  - ### Method Detail

    - #### buildEmptyStateTableFromMetadata

          public static DataTable buildEmptyStateTableFromMetadata(DataTable table)

    - #### buildFilerTextExpression

          public static java.lang.String buildFilerTextExpression(DataTable dataTable)